var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { countPercents } from '@reltio/mdm-sdk';
import { pluck } from 'ramda';
export var enrichDataWithPercents = function (data) {
    var percents = countPercents(pluck('value', data), 1);
    return data.map(function (item, i) { return (__assign(__assign({}, item), { percent: percents[i] })); });
};
